sftp_statvfs_struct Struct Reference
The libssh SFTP API

SFTP statvfs structure. More...

`#include <sftp.h>`

## Data Fields

uint64_t | f_bsize
uint64_t | f_frsize
uint64_t | f_blocks
uint64_t | f_bfree
uint64_t | f_bavail
uint64_t | f_files
uint64_t | f_ffree
uint64_t | f_favail
uint64_t | f_fsid
uint64_t | f_flag
uint64_t | f_namemax

## Detailed Description

SFTP statvfs structure.

## Field Documentation

## f_bavail

uint64_t sftp_statvfs_struct::f_bavail

free blocks in file system

## f_bfree

uint64_t sftp_statvfs_struct::f_bfree

number of blocks (unit f_frsize)

## f_blocks

uint64_t sftp_statvfs_struct::f_blocks

fundamental fs block size

## f_favail

uint64_t sftp_statvfs_struct::f_favail

free file inodes

## f_ffree

uint64_t sftp_statvfs_struct::f_ffree

total file inodes

## f_files

uint64_t sftp_statvfs_struct::f_files

free blocks for non-root

## f_flag

uint64_t sftp_statvfs_struct::f_flag

file system id

## f_frsize

uint64_t sftp_statvfs_struct::f_frsize

file system block size

## f_fsid

uint64_t sftp_statvfs_struct::f_fsid

free file inodes for to non-root

## f_namemax

uint64_t sftp_statvfs_struct::f_namemax

bit mask of f_flag values

The documentation for this struct was generated from the following file:

- sftp.h